classification
Title: tkinter.Spinbox.selection_element() raises TclError
Type: behavior Stage: resolved
Components: Tkinter Versions: Python 3.8, Python 3.7, Python 3.6, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: j-4321-i, miss-islington, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2018-10-08 15:56 by j-4321-i, last changed 2018-10-21 07:10 by serhiy.storchaka. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 9760 merged j-4321-i, 2018-10-08 19:32
PR 9957 merged j-4321-i, 2018-10-18 20:26
PR 9967 merged miss-islington, 2018-10-19 15:20
PR 9968 merged serhiy.storchaka, 2018-10-19 15:51
Messages (6)
msg327359 - (view) Author: Juliette Monsel (j-4321-i) * Date: 2018-10-08 15:56
Spinbox.selection_element() raises `TclError: expected integer but got "none"` while it should return the currently selected element according to the docstring.

I think this issue comes from the Spinbox.selection method which tries to convert to int the output of self.tk.call((self._w, 'selection', 'element')) while it returns a string ("none", "buttonup" or "buttondown").
msg327365 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-10-08 17:19
Do you mind to create a PR against master for fixing this issue Juliette?
msg327998 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-10-18 19:28
New changeset 1deea5e53991b46351f6bb395b22365c9455ed88 by Serhiy Storchaka (Juliette Monsel) in branch 'master':
bpo-34936: Fix TclError in tkinter.Spinbox.selection_element(). (GH-9760)
https://github.com/python/cpython/commit/1deea5e53991b46351f6bb395b22365c9455ed88
msg328047 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-10-19 15:20
New changeset bd9c2ce7acaef45f23c2659b854fc9925096d040 by Serhiy Storchaka (Juliette Monsel) in branch '3.7':
bpo-34936: Fix TclError in tkinter.Spinbox.selection_element(). (GH-9760) (GH-9957)
https://github.com/python/cpython/commit/bd9c2ce7acaef45f23c2659b854fc9925096d040
msg328049 - (view) Author: miss-islington (miss-islington) Date: 2018-10-19 15:44
New changeset c04347fad936f40cc0bd844e44a71ba88b027b2d by Miss Islington (bot) in branch '3.6':
bpo-34936: Fix TclError in tkinter.Spinbox.selection_element(). (GH-9760) (GH-9957)
https://github.com/python/cpython/commit/c04347fad936f40cc0bd844e44a71ba88b027b2d
msg328193 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-10-21 07:10
New changeset 427b8c7f7dcdbff21de78b10d9ad05c825480618 by Serhiy Storchaka in branch '2.7':
[2.7] bpo-34936: Fix TclError in tkinter.Spinbox.selection_element(). (GH-9760) (GH-9957) (GH-9968)
https://github.com/python/cpython/commit/427b8c7f7dcdbff21de78b10d9ad05c825480618
History
Date User Action Args
2018-10-21 07:10:47serhiy.storchakasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2018-10-21 07:10:28serhiy.storchakasetmessages: + msg328193
2018-10-19 15:51:01serhiy.storchakasetpull_requests: + pull_request9313
2018-10-19 15:44:39miss-islingtonsetnosy: + miss-islington
messages: + msg328049
2018-10-19 15:20:35miss-islingtonsetpull_requests: + pull_request9312
2018-10-19 15:20:06serhiy.storchakasetmessages: + msg328047
2018-10-18 20:26:06j-4321-isetpull_requests: + pull_request9304
2018-10-18 19:28:38serhiy.storchakasetmessages: + msg327998
2018-10-08 19:32:56j-4321-isetkeywords: + patch
stage: needs patch -> patch review
pull_requests: + pull_request9146
2018-10-08 17:19:32serhiy.storchakasetmessages: + msg327365
2018-10-08 17:17:59serhiy.storchakasetnosy: + serhiy.storchaka
stage: needs patch

versions: + Python 2.7, Python 3.6, Python 3.8
2018-10-08 15:56:55j-4321-icreate